couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benoit Chesneau <bchesn...@gmail.com>
Subject Re: [feedback] mozjs17.0.0
Date Thu, 28 Mar 2013 10:26:55 GMT
This patch seems to be enough but I will let Randall decide:

    diff --git a/configure.ac b/configure.ac
    index 91e2d3d..285ab03 100644
    --- a/configure.ac
    +++ b/configure.ac
    @@ -241,6 +241,7 @@ Are the Mozilla SpiderMonkey headers installed?])
         ])
     ])

    +AC_CHECK_LIB([mozjs-17.0], [JS_NewContext], [JS_LIB_BASE=mozjs-17.0], [
       AC_CHECK_LIB([mozjs185], [JS_NewContext], [JS_LIB_BASE=mozjs185], [
         AC_CHECK_LIB([mozjs185-1.0], [JS_NewContext],
[JS_LIB_BASE=mozjs185-1.0], [
             AC_CHECK_LIB([mozjs], [JS_NewContext], [JS_LIB_BASE=mozjs], [
    @@ -256,6 +257,7 @@ Is the Mozilla SpiderMonkey library installed?])
             ])
         ])
       ])
    +])

     # Figure out what version of SpiderMonkey to use



- benoît

On Thu, Mar 28, 2013 at 4:54 AM, Wendall Cada <wendallc@apache.org> wrote:
> On 03/27/2013 07:36 PM, Benoit Chesneau wrote:
>>
>> Hi,
>>
>> As promised, I finally had time to test a build of Apache CouchDB
>> using latest stable spidermonkey from Mozilla [1] . For this test I
>> used rcouch which only use the spidermonkey 1.8.5 version of couchjs
>> but the code is similar to the one in Apache CouchDB.
>>
>> All tests are green. It didn't imply any changes in the source code.
>>
>> Some important changes though:
>>
>> This version of spidermonkey can't be built with llvm gcc. It requires
>> either clang or gcc. It also requires a new version of NSPR. I used
>> latest (4.9.6) .
>>
>> Anyway that's good news. Now we need to update configure to handle this
>> version.
>>
>> - benoīt.
>>
>> [1] https://developer.mozilla.org/en-US/docs/SpiderMonkey/17
>
> Fantastic news Benoit! Thanks for testing this.
>
> Wendall

Mime
View raw message